What can we help you with?

Follow

Supported Browsers and Troubleshooting

Certain browsers and versions will not be compatible with CoSchedule. Here are the browsers and versions that CoSchedule currently supports.

  • Google Chrome: Version 51 and higher.
  • Mozilla Firefox: Version 45 and higher.
  • Safari: Version 10 and higher.
  • Microsoft Edge: Version 13 and higher.
  • Opera: Version 40 and higher.

If you are receiving a "Browser Not Supported" error we recommend updating your browser. If you are using a browser that CoSchedule supports and are still receiving the "Browser Not Supported" error, try to open we recommend clearing your browser history and cache. If you are still experiencing any issues, please contact Support@CoSchedule.com.

To update your browser:

To clear your browser history and cache:

Back To Top

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request